<?php

namespace App\Policies;

use App\Models\StudentLife;
use App\Models\User;
use Illuminate\Auth\Access\Response;

class StudentLifePolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->hasAnyPermission([
            'create studentlife', 'edit studentlife', 'view studentlife', 'delete studentlife'
        ]);
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, StudentLife $studentLife): bool
    {
        return $user->hasPermissionTo('view studentlife');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->hasPermissionTo('create studentlife');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, StudentLife $studentLife): bool
    {
        return $user->hasPermissionTo('edit studentlife');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, StudentLife $studentLife): bool
    {
        return $user->hasPermissionTo('delete studentlife');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, StudentLife $studentLife): bool
    {
        return $user->hasPermissionTo('restore studentlife');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, StudentLife $studentLife): bool
    {
        return $user->hasPermissionTo('force delete studentlife');
    }
}
